package com.pusong.business.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
public enum CustomerStatusEnum {

    INIT("1","初始化"),
    PUBLIC("2","进入公海"),
    CLAIMAPPROVER("20","认领审批中"),
    STOP("3","终止合作");
    private String code;
    private String text;

    /**
     * 获取公海的数据状态
     * @return
     */
    public static List<String> getPublic() {
        return List.of(PUBLIC.code,CLAIMAPPROVER.code);
    }
}
